# afterEach

abstract fun afterEach(configAction: Action<in T>)

Applies the given action to each item in the collection, as each item is required.

The given action is invoked to configure the item when the item is required. It is called after any actions provided to beforeEach, create, and other mutation methods.

#### Parameters

configAction

An action that configures the item. The action is executed when the item is required.

abstract fun <S> afterEach(type: Class<S>, configAction: Action<in S>)

Applies the given action to each item of the given type in the collection, as each item is required.

The given action is invoked to configure the item when the item is required. It is called after any actions provided to beforeEach, create, and other mutation methods.

#### Parameters

type

The type of elements to apply the action to.

configAction

An action that configures the item. The action is executed when the item is required.